Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an order subscription item

How to create an order subscription item via API

To create a new order subscription item, send a POST request to the /api/2026-05/order_subscription_items endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/2026-05/order_subscription_items

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.sku_code

string

Optional

attributes.bundle_code

string

Optional

attributes.quantity

integer

Required

attributes.unit_amount_cents

integer

Optional, inherited by item

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

relationships.order_subscription

object

Required

relationships.item

object

Required

relationships.sku

object

Optional

relationships.bundle

object

Optional

relationships.adjustment

object

Optional

Example

The following request creates a new order subscription item:

On success, the API responds with a 201 Created status code, returning the created resource object:

Last updated